Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2039257 - golang-github-prometheus-node-exporter installs service unit in /etc
Summary: golang-github-prometheus-node-exporter installs service unit in /etc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-prometheus-node-exporter
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-11 11:23 UTC by Juan Orti
Modified: 2022-01-25 01:44 UTC (History)
2 users (show)

Fixed In Version: golang-github-prometheus-node-exporter-1.3.1-1.fc36 golang-github-prometheus-node-exporter-1.3.1-3.el8
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-14 20:44:28 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Juan Orti 2022-01-11 11:23:24 UTC
Description of problem:
golang-github-prometheus-node-exporter is intalling its service unit in this location:

/etc/systemd/system/node_exporter.service

You must install it %{_unitdir}, please correct it as per the Fedora packaging guidelines:

https://docs.fedoraproject.org/en-US/packaging-guidelines/Systemd/#packaging_filesystem

Version-Release number of selected component (if applicable):
golang-github-prometheus-node-exporter-1.2.2-1.fc35.x86_64

Comment 1 Fedora Update System 2022-01-14 20:42:54 UTC
FEDORA-2022-ff050b4662 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-ff050b4662

Comment 2 Fedora Update System 2022-01-14 20:44:28 UTC
FEDORA-2022-ff050b4662 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 3 Fedora Update System 2022-01-14 23:55:06 UTC
FEDORA-EPEL-2022-926fd4d4f4 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-926fd4d4f4

Comment 4 Fedora Update System 2022-01-15 01:37:37 UTC
FEDORA-EPEL-2022-926fd4d4f4 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-926fd4d4f4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-01-16 01:29:42 UTC
FEDORA-EPEL-2022-fa5eba6d20 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-fa5eba6d20

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-01-17 02:39:03 UTC
FEDORA-EPEL-2022-683389685f has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-683389685f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-01-25 01:44:51 UTC
FEDORA-EPEL-2022-683389685f has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.